#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	ChangeNotify
Summary:	File::ChangeNotify - Watch for changes to files, cross-platform style
Summary(pl.UTF-8):	File::ChangeNotify - Obserwuje modyfikację plików
Name:		perl-File-ChangeNotify
Version:	0.21
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd8f8f32faed6aba5353b8f270898935
URL:		http://search.cpan.org/dist/File-ChangeNotify/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(MooseX::Params::Validate) >= 0.08
BuildRequires:	perl(MooseX::SemiAffordanceAccessor)
BuildRequires:	perl-namespace-autoclean
BuildRequires:	perl-Class-MOP
BuildRequires:	perl-Linux-Inotify2
BuildRequires:	perl-Moose
# not in PLD, yet
#BuildRequires:	perl-Test-Without-Module
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an API for creating a File::ChangeNotify::Watcher
subclass that will work on your platform.

Most of the documentation for this distro is in
File::ChangeNotify::Watcher.

%description -l pl.UTF-8
Moduł ten dostarcza API do tworzenia podklasy
File::ChangeNotify::Watcher która może pracować na Twojej platformie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%ifnos bsd
# BSD-specific watcher
rm $RPM_BUILD_ROOT%{perl_vendorlib}/File/ChangeNotify/Watcher/KQueue.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3/File::ChangeNotify::Watcher::KQueue.3pm*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/*.pm
%{perl_vendorlib}/File/ChangeNotify
%{_mandir}/man3/*
%changelog
* Sat Nov 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-ChangeNotify.git;a=log;h=auto/th/perl-File-ChangeNotify-0.21-2

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ca1a309
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 2c539dc
- up to 0.21

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> d775eab
- BR: perl-namespace-autoclean, perl-Linux-Inotify2; rel 3

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> a38d5cb
- release 2

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 0a7e4d3
- up to 0.20

* Wed Apr 07 2010 amateja <amateja@pld-linux.org> 353569b
- updated to 0.13

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> 787c774
- updated to 0.12

* Sun Jan 03 2010 sparky <sparky@pld-linux.org> 7130986
- broken cpan directory structure ? updated

* Sun Jan 03 2010 sparky <sparky@pld-linux.org> 1ba0c17
- up to 0.11
- just remove Watcher/KQueue.pm, it won't be missed

* Sun Jan 03 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ed81e7
- rel 2; ignore perl(IO::KQueue) which is BSD stuff

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 0b6e78f
- updated to 0.09

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> fdc8698
- added polish description and summary

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> e49e296
- updated to 0.07

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 5228e59
- initial

